package com.atlassian.confluence.rpc.soap.beans;

import com.atlassian.confluence.user.PersonalInformation;

import java.util.Date;

/**
 * Created by IntelliJ IDEA.
 * User: Jeremy Higgs
 * Date: 19/08/2005
 * Time: 11:26:01
 */

public class RemoteUserInformation
{
    private String username;
    private String content;

    private String creatorName;
    private String lastModifierName;

    private int version;

    private long id;

    private Date creationDate;
    private Date lastModificationDate;

    public RemoteUserInformation()
    {

    }

    public RemoteUserInformation(PersonalInformation info)
    {
        this.username = info.getUsername();

        this.content = info.getContent();

        this.creatorName = info.getCreatorName();
        this.creationDate = info.getCreationDate();

        this.lastModifierName = info.getLastModifierName();
        this.lastModificationDate = info.getLastModificationDate();

        this.version = info.getVersion();

        this.id = info.getId();
    }

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getContent()
    {
        return content;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getCreatorName()
    {
        return creatorName;
    }

    public void setCreatorName(String creatorName)
    {
        this.creatorName = creatorName;
    }

    public String getLastModifierName()
    {
        return lastModifierName;
    }

    public void setLastModifierName(String lastModifierName)
    {
        this.lastModifierName = lastModifierName;
    }

    public int getVersion()
    {
        return version;
    }

    public void setVersion(int version)
    {
        this.version = version;
    }

    public long getId()
    {
        return id;
    }

    public void setId(long id)
    {
        this.id = id;
    }

    public Date getCreationDate()
    {
        return creationDate;
    }

    public void setCreationDate(Date creationDate)
    {
        this.creationDate = creationDate;
    }

    public Date getLastModificationDate()
    {
        return lastModificationDate;
    }

    public void setLastModificationDate(Date lastModificationDate)
    {
        this.lastModificationDate = lastModificationDate;
    }
}
